#
# spec file for package rds-tools (Version 2.0.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rds-tools
Summary:        RDS support tools
Version:        2.0.4
Release:        0.6.31
License:        BSD 3-Clause; GPL v2 only
Group:          System/Console
Url:            http://www.openfabrics.org
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A collection of support tools for the RDS socket API.



%package -n rds-devel
License:        BSD 3-Clause; GPL v2 only
Summary:        RDS Support Tools
Group:          System/Console

%description -n rds-devel
A collection of support tools for the RDS socket API.



%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS=$RPM_OPT_FLAGS
%configure
make

%install
# for i in rds-gen rds-sink rds-info rds-stress; do
# install -m 755 -D $i $RPM_BUILD_ROOT/%{_bindir}/$i
# done
# for i in rds-info.1 rds-gen.1 rds-sink.1 rds-stress.1; do
# install -m 644 -D $i $RPM_BUILD_ROOT/%{_mandir}/man1/$i
# done
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%files -n rds-devel
%defattr(-,root,root)
%{_includedir}/*
%{_mandir}/man7/*
%doc docs examples

%changelog
* Mon Oct 25 2010 jjolly@novell.com
- Update to v2.0.4 from OFED 1.5.2
- Added an rds-devel package
- Removed Makefile.in patch
* Wed May 26 2010 jjolly@novell.com
- Update to v1.5 from OFED 1.5.1
  - Keeping the '-1' postfix on the tarbal for identification
    purposes
* Thu Feb 25 2010 jjolly@suse.de
- Updated to v1.4_1 from OFED 1.4.2
* Wed Oct 22 2008 jjolly@suse.de
- Updated to package from the OFED 1.3.1 release
* Fri Feb 29 2008 jjolly@suse.de
- Update to package from the OFED 1.3 GA release
* Thu Jan 31 2008 jjolly@suse.de
- Updated to 1.1-2 from OFED 1.3 rc2
* Fri Jul  6 2007 hvogel@suse.de
- Initial Package, Version 1.0
